From 0098fbc45e5068ef20ba26910e281f3955299176 Mon Sep 17 00:00:00 2001
From: Robert Scheck <robert@fedoraproject.org>
Date: Sun, 2 Feb 2020 20:37:16 +0100
Subject: [PATCH] Declare pthread_attr as extern in header (fixes #63)

GCC 10 compatibility as per https://gcc.gnu.org/gcc-10/porting_to.html
---
 radsecproxy.c | 1 +
 radsecproxy.h | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

--- a/radsecproxy.c
+++ b/radsecproxy.c
@@ -84,6 +84,7 @@ extern int optind;
 extern char *optarg;
 #endif
 static const struct protodefs *protodefs[RAD_PROTOCOUNT];
+pthread_attr_t pthread_attr;
 
 /* minimum required declarations to avoid reordering code */
 struct realm *adddynamicrealmserver(struct realm *realm, char *id);
--- a/radsecproxy.h
+++ b/radsecproxy.h
@@ -262,7 +262,7 @@ int radsrv(struct request *rq);
 void replyh(struct server *server, unsigned char *buf);
 struct addrinfo *resolve_hostport_addrinfo(uint8_t type, char *hostport);
 uint8_t *radattr2ascii(struct tlv *attr); /* TODO: mv this to radmsg? */
-pthread_attr_t pthread_attr;
+extern pthread_attr_t pthread_attr;
 
 /* Local Variables: */
 /* c-file-style: "stroustrup" */
